Bug 220804 - devel/git: diff-highlight is not built anymore
Summary: devel/git: diff-highlight is not built anymore
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords: feature, regression
Depends on:
Blocks:
 
Reported: 2017-07-17 16:01 UTC by martin
Modified: 2017-08-18 20:26 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (garga)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description martin 2017-07-17 16:01:16 UTC
Hi,

I'm missing diff-highlight since latest update. It seems that one can build it by running gmake in the diff-highlight directory.

Thank you
Martin
Comment 1 commit-hook freebsd_committer 2017-07-17 17:34:01 UTC
A commit references this bug:

Author: garga
Date: Mon Jul 17 17:33:35 UTC 2017
New revision: 446083
URL: https://svnweb.freebsd.org/changeset/ports/446083

Log:
  - Add diff-highlight back to package when CONTRIB option is set
  - While here, remove unnecessary lines from pkg-plist
  - Bump PORTREVISION

  PR:		220804
  Submitted by:	martin@sugioarto.com
  Sponsored by:	Rubicon Communications, LLC (Netgate)

Changes:
  head/devel/git/Makefile
  head/devel/git/pkg-plist
Comment 2 commit-hook freebsd_committer 2017-08-17 13:16:21 UTC
A commit references this bug:

Author: feld
Date: Thu Aug 17 13:15:26 UTC 2017
New revision: 448094
URL: https://svnweb.freebsd.org/changeset/ports/448094

Log:
  MFH: r445615 r446083 r447205 r447721 r447759

  Update devel/git to 2.13.3

  Sponsored by:	Rubicon Communications, LLC (Netgate)

  - Add diff-highlight back to package when CONTRIB option is set
  - While here, remove unnecessary lines from pkg-plist
  - Bump PORTREVISION

  PR:		220804
  Submitted by:	martin@sugioarto.com
  Sponsored by:	Rubicon Communications, LLC (Netgate)

  Update devel/git to 2.13.4

  Update devel/git to 2.14.1

  This version fixes a security issue:

  A "ssh://..." URL can result in a "ssh" command line with a
  hostname that begins with a dash "-", which would cause the "ssh"
  command to instead (mis)treat it as an option.  This is now
  prevented by forbidding such a hostname (which will not be
  necessary in the real world).

  Sponsored by:	Rubicon Communications, LLC (Netgate)

  Fix packaging WITH=HTMLDOCS.

  Pointy hat:	garga
  Sponsored by:	Absolight

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/devel/git/Makefile
  branches/2017Q3/devel/git/distinfo
  branches/2017Q3/devel/git/pkg-plist
Comment 3 commit-hook freebsd_committer 2017-08-18 20:26:59 UTC
A commit references this bug:

Author: feld
Date: Fri Aug 18 20:26:53 UTC 2017
New revision: 448272
URL: https://svnweb.freebsd.org/changeset/ports/448272

Log:
  MFH: r446083

  - Add diff-highlight back to package when CONTRIB option is set
  - While here, remove unnecessary lines from pkg-plist
  - Bump PORTREVISION

  PR:		220804
  Submitted by:	martin@sugioarto.com
  Sponsored by:	Rubicon Communications, LLC (Netgate)

  Approved by:	ports-secteam (with hat)

Changes:
  branches/2017Q3/devel/git/Makefile
  branches/2017Q3/devel/git/pkg-plist